#pragma once

#include <maps/libs/geolib/include/serialization.h>

#include <string>

namespace maps {
namespace geolib3 {

class Polygon2;
class Polyline2;

} // namespace geolib3
} // namespace maps

namespace maps {
namespace wiki {
namespace groupedit {
namespace utils {

bool contains(const geolib3::Polygon2& polygon, const std::string& wkb);
bool intersects(const geolib3::Polygon2& polygon, const std::string& wkb);
bool intersects(const geolib3::Polyline2& polyline, const std::string& wkb);

} // namespace utils
} // namespace groupedit
} // namespace wiki
} // namespace maps
